Get Issue
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/issues/{issue_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/issues/{issue_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/issues/{issue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/issues/{issue_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/issues/{issue_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://fulfillment.noyo.com/api/v1/issues/{issue_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/issues/{issue_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"category": "invalid_ssn",
"created": 1697380200,
"dismissed": false,
"employee_id": "7027d416-3bed-43e8-b824-508d9c0d323e",
"group_id": "436fb487-bb75-42d4-9651-7b1471a8940e",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"issue_key": "a1b2c3d4e5f6789012345678901234567890123456789012345678901234567890",
"last_seen": "2023-10-15T14:30:00Z",
"member_id": "7027d416-3bed-43e8-b824-508d9c0d323e",
"member_type": "employee",
"modified": 1697380200,
"partner_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"resolved_at": null,
"status": "open",
"version": "ea38e798-cd61-4fa2-b485-d1c5b87a61af"
}Issues
Get Issue
Get a specific Issue by its ID.
GET
/
api
/
v1
/
issues
/
{issue_id}
Get Issue
curl --request GET \
--url https://fulfillment.noyo.com/api/v1/issues/{issue_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://fulfillment.noyo.com/api/v1/issues/{issue_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fulfillment.noyo.com/api/v1/issues/{issue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://fulfillment.noyo.com/api/v1/issues/{issue_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://fulfillment.noyo.com/api/v1/issues/{issue_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://fulfillment.noyo.com/api/v1/issues/{issue_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://fulfillment.noyo.com/api/v1/issues/{issue_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"category": "invalid_ssn",
"created": 1697380200,
"dismissed": false,
"employee_id": "7027d416-3bed-43e8-b824-508d9c0d323e",
"group_id": "436fb487-bb75-42d4-9651-7b1471a8940e",
"id": "dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1",
"issue_key": "a1b2c3d4e5f6789012345678901234567890123456789012345678901234567890",
"last_seen": "2023-10-15T14:30:00Z",
"member_id": "7027d416-3bed-43e8-b824-508d9c0d323e",
"member_type": "employee",
"modified": 1697380200,
"partner_id": "8fac0992-933a-4743-8dab-0d606ef2569e",
"resolved_at": null,
"status": "open",
"version": "ea38e798-cd61-4fa2-b485-d1c5b87a61af"
}Authorizations
Response
Successful Response - Returns the Issue details.
The category of error for this issue
Available options:
missing_coverage, duplicate_coverage, missing_employee, missing_dependent, duplicate_member, overage_dependent, invalid_coverage, invalid_volume, invalid_ssn, invalid_address, invalid_demographic_info, invalid_carrier_config, cobra_status_conflict, coverage_date_conflict, enrollment_conflict, event_conflict, eoi_pending, retro_change, future_change, missing_event, missing_ssn Was this page helpful?
